低危 OpenSSL 信息泄露漏洞

CVE编号

CVE-2019-1551

利用情况

暂无

补丁情况

官方补丁

披露时间

2019-12-07 07:15:00
漏洞描述
OpenSSL是OpenSSL团队的一个开源的能够实现安全套接层(SSLv2/v3)和安全传输层(TLSv1)协议的通用加密库。该产品支持多种加密算法,包括对称密码、哈希算法、安全散列算法等。
OpenSSL 1.1.1版本至1.1.1d版本和1.0.2版本至1.0.2t版本中存在信息泄露漏洞。该漏洞源于网络系统或产品在运行过程中存在配置等错误。未授权的攻击者可利用漏洞获取受影响组件敏感信息。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://www.openssl.org/news/secadv/20191206.txt
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 openssl openssl * From
(including)
1.0.2
Up to
(including)
1.0.2t
运行在以下环境
应用 openssl openssl * From
(including)
1.1.1
Up to
(including)
1.1.1d
2
运行在以下环境
系统 debian_10 openssl * Up to
(excluding)
1.1.1d-0+deb10u3
3
运行在以下环境
系统 alpine_3.13 openssl * Up to
(excluding)
1.1.1d-r3
4
运行在以下环境
系统 debian_9 openssl * Up to
(excluding)
1.1.0f-3+deb9u2
5
运行在以下环境
系统 suse_12_SP4 openssl * Up to
(excluding)
1.1.1d-2.20.1
6
运行在以下环境
系统 suse_12_SP5 openssl * Up to
(excluding)
1.1.1d-2.20.1
7
运行在以下环境
系统 oracle_8 openssl * Up to
(excluding)
1.1.1g-11.el8
8
运行在以下环境
系统 fedora_EPEL_7 openssl * Up to
(excluding)
1.1.1g-1.el7
9
运行在以下环境
系统 fedora_31 openssl * Up to
(excluding)
1.1.1g-1.fc31
10
运行在以下环境
系统 fedora_32 openssl * Up to
(excluding)
1.1.1g-1.fc32
11
运行在以下环境
系统 fedora_30 openssl * Up to
(excluding)
1.1.1g-1.fc30
12
运行在以下环境
系统 opensuse_Leap_15.1 openssl * Up to
(excluding)
1.1.0i-lp151.8.6.1
13
运行在以下环境
系统 alpine_edge openssl * Up to
(excluding)
1.1.1d-r3
14
运行在以下环境
系统 alpine_3.9 openssl * Up to
(excluding)
1.1.1d-r2
15
运行在以下环境
系统 alpine_3.10 openssl * Up to
(excluding)
1.1.1d-r2
16
运行在以下环境
系统 alpine_3.11 openssl * Up to
(excluding)
1.1.1d-r3
17
运行在以下环境
系统 alpine_3.12 openssl * Up to
(excluding)
1.1.1d-r3
18
运行在以下环境
系统 alpine_3.8 openssl * Up to
(excluding)
1.0.2u-r0
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-190 整数溢出或超界折返
CWE-200 信息暴露
阿里云安全产品覆盖情况